Subject: RE: E-LSP setup

From: "Kota, Ravikumar" <[email-masked]>
Date: Fri, 28 Sep 2001 10:54:36 -0400

Hi Mani

Correct me if anything wrong.

The follwoing one is good one tells about " assigning same label  to
different requests ".

   If a particular LSR Rd is attached to a particular LSR Ru over two
   point-to-point interfaces, then Rd may distribute to Ru a binding of
   label L to FEC F1, as well as a binding of label L to FEC F2, F1 !=
   F2, if and only if each binding is valid only for packets which Ru
   sends to Rd over a particular one of the interfaces.  In all other
   cases, Rd MUST NOT distribute to Ru bindings of the same label value
   to two different FECs

The above is from RFC 3031. Let us think only MPLS in which we are not
considering TE.

I think assigning same label got nothing to do with EXP-PHB mappings.
now we have to know whether the requests have come on the same interface or
not .

first case : On the same interface

If it is on the same interafce we can not give same label for two different
FECs. If FEC s same we can give same label. ( In this case we are grouping
EXP1 packets and EXP2 packets  with same FEC  and FEC is mapped to E-LSP ).
If FEC s are not same , then we can not give same label.

second case : requests came on different interfaces

If FEC are same we can give same label , other wise we can not give same
label.

anyhow we agree that we can send different EXP packets with same label on
the same LSP , where we have mapped these two EXP/PHB packets to one FEC and
other mapping is between FEC and E-LSP.

Regards
Ravikumar Kota

-----Original Message-----
From: S.Manikantan [mailto:[email-masked]]
Sent: Thursday, September 27, 2001 9:30 PM
To: 'Kota, Ravikumar'
Subject: RE: E-LSP setup

Dear Ravi

Thanks for the mail..

I did not say that we cannot send different types of 
packets in the same lsp i.e., using the same label,

and my question was not that..

But I wished to know if there happens to be multiple 
E-LSP requests from an upstream LSR, giving
different mappings each time, should I give the 
same label or different ones. 

This we felt is an implementation issue.

regards
mani
P.S. I feel even after the discussion I have not
conveyed my question right :)

-----Original Message-----
From:	Kota, Ravikumar [SMTP:[email-masked]]
Sent:	Thursday, September 27, 2001 6:14 PM
To:	[email-masked]'; [email-masked]'
Subject:	RE: E-LSP setup

Hi
 
Followed to our discussion ....
If u see slide3 of the follwoing ppt 
we can send different exp packets on the same lsp.
Based on EXP value we are making different treatment  at Queue level.

DiffServ-Aware Traffic Engineering and its Applications ppt 
on 
http://www.cisco.com/warp/public/732/Tech/mpls/mpls_presentations.shtml
It may give more info connected to TE , but may be sueful upto some extent
where u can think Diffserv in MPLS architecture.

Regards
Ravikumar Kota
Cratos Networks 
100 Nagog Park, Suite 20
Acton, MA 01720
PH: (978) 263-0094 (office )
978 869 3314 (cell)
FAX: (978) 263-7401

-----Original Message-----
From: S.Manikantan [mailto:[email-masked]]
Sent: Thursday, September 27, 2001 7:08 PM
To: [email-masked]'
Subject: E-LSP setup

Hello

I have the following doubt and questions. (If my questions are stupid
forgive me :) )

For an E-LSP setup signaled with EXP<-->PHB mapping
the EXP values and the associated PHBID values are
provided in the DIFFSERV object /Diff-Serv TLV. The number of
mappings is indicated by the "MAPnb"

My doubts are

1) If an upstream node wishes to signal an E-LSP for 
'n' EXP<-->PHB mappings ( n could be 8 ), should
all the 'n' mappings be given in a single Path / Label
request message?

2) Suppose we can send 'n' Path /Label request messages
each message carrying one EXP<--> PHB mapping
should the downstream node assign the same "label"
value in the Resv / Label mapping message? 

Else

Is the Path/ Label request sent, label allocated etc.,
are implementation dependent?

thanks in advance
with best regards
mani